Skip to main content
POST
Creates an RDB export schedule (a CronJob)

Authorizations

token
string
cookie
required

JWT token stored in HTTP-only cookie

Path Parameters

clusterName
string
required

Query Parameters

namespace
string
required
Minimum string length: 1

Body

application/json
schedule
string
required
Required string length: 9 - 128
name
string

Generated when omitted

Pattern: ^[a-z0-9]([-a-z0-9]{0,30}[a-z0-9])?$
enabled
boolean
retention
integer
Required range: 1 <= x <= 100
repository
string
Minimum string length: 1
node

Read from a replica when the shard has one (default), or always from the primary.

Available options:
replica
filters
object
resources
object

Response

Default Response

name
string
required
namespace
string
required
clusterName
string
required
schedule
string
required
enabled
boolean
required
retention
integer
required
repository
string
required
node
required

Read from a replica when the shard has one (default), or always from the primary.

Available options:
replica
createdAt
string
required
filters
object
createdBy
string
lastScheduleTime
string
lastSuccessfulTime
string